Bug 1292422 - [abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
[abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1478728
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8f34aaa9e28f40c52477da0c3aa...
:
: 1396640 1403151 1419740 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 06:50 EST by Daniel Rindt
Modified: 2017-08-14 04:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.31 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: core_backtrace (6.00 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: dso_list (11.54 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: environ (1.00 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: maps (57.02 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-12-17 06:50 EST, Daniel Rindt
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-17 06:51 EST, Daniel Rindt
no flags Details
File: open_fds (1.86 KB, text/plain)
2015-12-17 06:51 EST, Daniel Rindt
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-12-17 06:51 EST, Daniel Rindt
no flags Details
File: var_log_messages (298 bytes, text/plain)
2015-12-17 06:51 EST, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2015-12-17 06:50:40 EST
Version-Release number of selected component:
evince-3.18.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince '/home/drindt/Dokumente/Berliner Abendblatt, Unterlassungsaufforderung.pdf'
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
global_pid:     6863
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 ev_page_action_widget_set_current_page at ev-page-action-widget.c:103
 #2 ev_page_action_widget_set_document at ev-page-action-widget.c:282
 #8 g_object_notify_by_spec_internal at gobject.c:1154
 #9 g_object_notify at gobject.c:1202
 #10 ev_document_model_set_document at ev-document-model.c:381
 #11 ev_window_reload_job_cb at ev-window.c:1836
 #12 _g_closure_invoke_va at gclosure.c:864
 #15 emit_finished at ev-jobs.c:181
 #19 g_main_context_iteration at gmain.c:3901
Comment 1 Daniel Rindt 2015-12-17 06:50:46 EST
Created attachment 1106699 [details]
File: backtrace
Comment 2 Daniel Rindt 2015-12-17 06:50:47 EST
Created attachment 1106700 [details]
File: cgroup
Comment 3 Daniel Rindt 2015-12-17 06:50:49 EST
Created attachment 1106701 [details]
File: core_backtrace
Comment 4 Daniel Rindt 2015-12-17 06:50:51 EST
Created attachment 1106702 [details]
File: dso_list
Comment 5 Daniel Rindt 2015-12-17 06:50:52 EST
Created attachment 1106703 [details]
File: environ
Comment 6 Daniel Rindt 2015-12-17 06:50:54 EST
Created attachment 1106704 [details]
File: exploitable
Comment 7 Daniel Rindt 2015-12-17 06:50:55 EST
Created attachment 1106705 [details]
File: limits
Comment 8 Daniel Rindt 2015-12-17 06:50:57 EST
Created attachment 1106706 [details]
File: maps
Comment 9 Daniel Rindt 2015-12-17 06:50:59 EST
Created attachment 1106707 [details]
File: mountinfo
Comment 10 Daniel Rindt 2015-12-17 06:51:00 EST
Created attachment 1106708 [details]
File: namespaces
Comment 11 Daniel Rindt 2015-12-17 06:51:02 EST
Created attachment 1106709 [details]
File: open_fds
Comment 12 Daniel Rindt 2015-12-17 06:51:03 EST
Created attachment 1106710 [details]
File: proc_pid_status
Comment 13 Daniel Rindt 2015-12-17 06:51:05 EST
Created attachment 1106711 [details]
File: var_log_messages
Comment 14 Fedora Admin XMLRPC Client 2016-10-14 04:08:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2016-11-24 09:18:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Caolan McNamara 2016-12-09 09:43:14 EST
*** Bug 1403151 has been marked as a duplicate of this bug. ***
Comment 17 Caolan McNamara 2016-12-09 09:43:58 EST
*** Bug 1396640 has been marked as a duplicate of this bug. ***
Comment 18 Caolan McNamara 2016-12-09 09:47:44 EST
looks like this bug has been around for years and is still there in f25, anyone know how to reproduce it ?
Comment 19 Caolan McNamara 2017-03-16 06:17:17 EDT
*** Bug 1419740 has been marked as a duplicate of this bug. ***
Comment 20 Matt McAdoo 2017-05-20 00:02:39 EDT
Similar problem has been detected:

Creating a beamer (LaTeX) presentation in LyX, using Evince as a quick viewer.  Had Evince fullscreen and then exited. Then crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        evince /tmp/lyx_tmpdir.aJIQCtHO9121/lyx_tmpbuf3/O365-Charter.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
global_pid:     12437
kernel:         4.10.15-200.fc25.x86_64
package:        evince-3.22.1-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         evince killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Fedora End Of Life 2017-07-25 15:39:11 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2017-08-08 08:34:01 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Caolan McNamara 2017-08-14 04:05:31 EDT

*** This bug has been marked as a duplicate of bug 1478728 ***

Note You need to log in before you can comment on or make changes to this bug.